function [] = runDemo(corArrDB, cntArr525, startClickNr, endClickNr)
    
    frameRate = 30;
    
    movi = 'vidInp/oSmall.mov'; % 120:80
    vidfileOut = VideoWriter('vidOut/testmov', 'Uncompressed AVI');  
    vidfileOut.FrameRate = frameRate;
    open(vidfileOut); % UT
    
    startSample = 525*corArrDB{startClickNr,1}/1000 + 1;
    endSample = 525*corArrDB{endClickNr,1}/1000;
    
    figure(4);clf;
    set(gcf,'Position',[100 100 1280 720],'numberTitle','off');
    fprintf(1, "\n");
    
    
    fs = 525; %44100;
    
    
    vidObj = VideoReader(movi); % IN
    % fs2 = 44100/speedDiv;  
    
    % Gulv - sjakkmønster
    [F, V] = polyQuadFloor(11, 11);
    cV = 0.2*ones(11*11, 3);
    for i = 1 : 2 : 11*11
        cV(i, :) = [0.9 0.9 0.9];
    end
    plotPoly(F, 10*V, 'dark', 'col', cV);
    
    % Soyle
    load 'grafikk/soyle.mat';
    plotPoly(F, 4*V+[-11/2 0 0], 'dark', 'col', [0.8 0.8 0.8], 'edgeOff');
    plotPoly(F, 4*V+[11/2 0 0], 'dark', 'col', [0.8 0.8 0.8], 'edgeOff');
    
    % Agent
    [F, V] = agent1axVid(0);
    V1 = 4*V+[-11/2 0 4];
    V2 = 4*V+[11/2 0 4];
    coll = ones(size(F,1), 3) .* [0.2 0.2 0.8] ;
    coll(1:4:end, :) = coll(1:4:end, :) .* [0 0 0] + [0.8 0.8 0.8];
    ha1 = plotPoly(F, V1, 'dark', 'col', coll, 'edgeOff');
    ha2 = plotPoly(F, V2, 'dark', 'col', coll, 'edgeOff');
    
    % Lerret
    [F, V] = polyQuadFloor(120, 80); V = 6*(rotx(90)*V')' + [0 10 5];
    hl = plotPoly(F, V, 'col', rand(120*80, 3), 'dark', 'edgeOff');
    
    view(20,12);
    axis([-6.3269    6.4031   -7.0306    5.6994    1.7398    7.4889]);
    
    ccOld = 0;
    for s = startSample : fs/frameRate : endSample % manuell intastn evt s = cl2sa(corStrArr, 64) : floor(fs/frameRate) : cl2sa(corStrArr, 75) % manuell intastn
        %ccc = findNermestClick(s, corStrArr);
        
%         if ccc > ccOld
%             for ii = 1 : length(num2str(ccOld))
%                 fprintf(1, "\b");
%             end
%             set(gcf,'name',num2str(ccc));
%             %fprintf(1, "%d", ccc);
%             
%             ccOld = ccc;
%         end
        
        
        % Agent
        [~, V] = agent1axVid(cntArr525(floor(s), 1));
        V1 = 4*V+[-11/2 0 4];
        set(ha1, 'Vertices', V1);
        
        [~, V] = agent1axVid(cntArr525(floor(s), 2));
        V2 = 4*V+[11/2 0 4];
        set(ha2, 'Vertices', V2);
        
        % Video in
        vidObj.CurrentTime = floor(s)/fs;
        frame = readFrame(vidObj); frame = flipud(frame); frame = permute(frame,[2 1 3]);
        co1 = double(squeeze(reshape(frame,[], 80*120,3))); co1 = co1/max(max(co1));
        set(hl, 'FaceVertexCData', co1);
        %pause(0.1);
        drawnow;
        frame= getframe(gcf);
        writeVideo(vidfileOut, frame);
    end
    close(vidfileOut);
    
    fprintf(1, "\n");
    %close(4);
    figure(1);
end

% ffmpeg -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest output.mp4
% ffmpeg -i testmov.avi -ss 0 -i mus.wav -vcodec libx265 -crf 23 -shortest -vf vflip output.mp4
